Bug 124514 - rpm verify misses "missing files/links"
rpm verify misses "missing files/links"
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-05-27 00:14 EDT by John Floyd
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-29 08:53:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Floyd 2004-05-27 00:14:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
My Problem:
Somehow lost links in rc0.d files for S* scripts. Which caused locked
up shutdown.  Had a sector remap on disk! probably due to power
outage.  Left me with a number of missing directories and files.

The real Fedora Problem:
Doing a verify via rpm did not pick this up even though these are
listed in file list with rpm -qi.  Eventually found problem by

This may be problem iwith rpm and not initscripts.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.remove links to S* in rc0.d
2.run rpm -V initscripts

Actual Results:  rpm -v shows no problems.

Expected Results:  rpm should show missing files/links

Additional info:
Comment 1 Jeff Johnson 2004-05-29 08:53:08 EDT
The scripts in rc0.d may or may not exist depending on
how the machine is configured, and hence are marked
in the package (i.e. it is not a verify failure if
the file is not found).
Comment 2 John Floyd 2004-05-30 18:18:16 EDT
Yes I can understand this argument - but also isnt the verify there to
indicate differences to what was initially installed.  Other
components of verify show changed permissions on file etc which are
also dependent on "how the machine is configured" for use. 

Also, in this case a major script was missing ie the link back to the
halt script - shouldnt this stay regardless.

Note You need to log in before you can comment on or make changes to this bug.